std::chrono::time_point::operator+=,operator-=(3)

NAME
std::chrono::time_point::operator+=,operator-= - std::chrono::time_point::operator+=,operator-=

Synopsis
   time_point& operator+=( const duration& d ); (1) (since C++11)
                        (constexpr since C++17)
   time_point& operator-=( const duration& d ); (2) (since C++11)
                        (constexpr since C++17)
   Modifies the time point by the given duration.
   1) Applies the offset d to pt. Effectively, d is added to the internally stored
   duration d_ as d_ += d.
   2) Applies the offset d to pt in negative direction. Effectively, d is subtracted
   from internally stored duration d_ as d_ -= d.

Parameters
   d - a time offset to apply

Return value
   *this

Exceptions
   May throw implementation-defined exceptions.

Example
    This section is incomplete
    Reason: no example

See also
   operator+ performs add and subtract operations involving a time point
   operator- (function template)
   (C++11)

Category:
     * Todo no example